Bug 521488 - Long client session initialization process in low network bandwidth condition
Summary: Long client session initialization process in low network bandwidth condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qspice
Version: 5.4
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Yaniv Kamay
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 522049
TreeView+ depends on / blocked
 
Reported: 2009-09-06 13:01 UTC by Yaniv Kamay
Modified: 2010-03-30 08:35 UTC (History)
6 users (show)

Fixed In Version: qspice-0.3.0-42.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:35:38 UTC


Attachments (Terms of Use)
spice: server: compress inital screen image (5.52 KB, patch)
2009-09-07 05:40 UTC, Uri Lublin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0264 normal SHIPPED_LIVE qspice bug fix update 2010-03-29 12:54:04 UTC

Description Yaniv Kamay 2009-09-06 13:01:06 UTC
On new client connection Spice server send the entire screen image to the client. In current implementation the image is sent uncompress.

In low network bandwidth condition it will take a lot of time to finish the initialization of Spice session. The actual result is a long period in which the client will see unusable black screen.

Comment 1 Yaniv Kaul 2009-09-06 13:24:07 UTC
This is actually http://mantis.tlv.redhat.com/view.php?id=2599, which I've submitted on 2007-12-31. Good to see it's handled - it bothered me a lot when working from home (60ms latency, 2Mbps bandwidth).

Comment 3 Yaniv Kamay 2009-09-06 13:45:40 UTC
(In reply to comment #1)
> This is actually http://mantis.tlv.redhat.com/view.php?id=2599, which I've
> submitted on 2007-12-31. Good to see it's handled - it bothered me a lot when
> working from home (60ms latency, 2Mbps bandwidth).  

Wow, thanks for the valuable information.

Comment 4 Uri Lublin 2009-09-07 05:40:51 UTC
Created attachment 359946 [details]
spice: server: compress inital screen image

Comment 9 Omri Hochman 2010-03-16 13:47:38 UTC
verified SM49, 

compression issue seems to be resolved,  I'm intend to open another bug for difference in session initialization between spice to RDP on low bandwidth .

Comment 11 errata-xmlrpc 2010-03-30 08:35:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0264.html


Note You need to log in before you can comment on or make changes to this bug.